Kapitel 5. Paketmanagement
Zurück | 5.33 `aptitude` | Weiter

## 5.33 `aptitude`

`aptitude` verfolgt eine etwas andere Philosophie als `dselect`. Es wird streng nach installierten, nicht installierten, virtuellen Paketen und Paketen, die in einer neueren Version vorliegen, unterschieden. Innerhalb dieser vier Gruppen werden alle Pakete in einer Baumstruktur dargestellt, die auch die Verzeichnisstruktur innerhalb des Debian-Archives darstellt, also beispielsweise: `main/admin` oder `non-US/non-free`.

Sie können einzelne Teile der Struktur aufklappen und in den einzelnen Bereichen Pakete auswählen.

Abbildung 5.6. aptitude

Bei `aptitude` decken sich die meisten Tastaturbelegungen mit `dselect`.

PFEIL-UNTEN

  Bewegt den Auswahlbalken zum nächsten Eintrag.

PFEIL-OBEN

  Bewegt den Auswahlbalken zum vorherigen Eintrag.

RETURN

  Klappt ein Verzeichnis auf/zu.

^

  Springt zum Verzeichnis, zu dem das Paket gehört.

+

  Markiert ein Paket zur Installation.

-

  Markiert ein Paket zum Löschen.

i

  Zeigt die Beschreibung des Pakets an.

d

  Zeigt die Abhängigkeiten des Pakets an.

v

  Zeigt die verfügbaren Versionen des Pakets an.

u

  Aktualisiert die Liste der verfügbaren Pakete.

g

  Startet die Installation der ausgewählten Pakete.

Die verschiedenen Hintergrundfarben innerhalb des Programms haben folgende Bedeutung:

schwarz

  „Normalzustand“ eines Pakets. Beim nächsten Installationsdurchlauf wird dieses Paket nicht verändert. Fett geschriebene Pakete sind bereits installiert.

rot

  Das Paket ist in einem unbrauchbaren Zustand oder kann nicht installiert werden.

blau

  Das Paket wird mit einer neueren Programmversion aktualisiert.

weiß

  Dieses Paket könnte aktualisiert werden, es wurde aber auf dem aktuellen Stand fixiert (hold).

grün

  Das Paket wird installiert.

magenta

  Das Paket wird gelöscht.

Neben einer Benutzeroberfläche bietet `aptitude` auch die Möglichkeit, verschiedenste Aktionen auf der Kommandozeile auszuführen. Die Syntax ist dabei wie folgt definiert:

    aptitude [Optionen] <Aktion> ...

Wird beim Aufruf von `aptitude` auf der Komandozeile keine Aktion angegeben, so startet `aptitude` im interaktiven Modus.

Aktionen beim Start von `aptitude` können sein:

Aktionen

`install`

  Installiere/aktualisiere Pakete

`remove`

  Entferne Pakete

`purge`

  Entferne Pakete und ihre Konfiguration

`hold`

  Pakete auf den Status „halten“ setzen

`unhold`

  Entfernt den Status „halten“ des angegebenen Paketes

`markauto`

  Pakete als automatisch installiert markieren

`unmarkauto`

  Pakete als manuell installiert markieren

`update`

  Neue Listen neuer/aktualisierbarer Paketen laden

`upgrade`

  Sicheres Upgrade durchführen

`dist-upgrade`

  Upgrade durchführen, dabei wenn notwendig Pakete installieren/entfernen

`search`

  Pakete nach Namen oder Ausdruck suchen

`show`

  Gibt detaillierte Informationen zu dem Paket aus

`clean`

  Heruntergeladene Pakete löschen

`autoclean`

  Alte heruntergeladene Pakete löschen

`download`

  Die `.deb`-Datei eines Pakets herunterladen

Darüber hinaus versteht `aptitude` die folgenden Optionen beim Aufruf auf der Kommandozeile. Es ist nicht zwingend notwendig, `aptitude` mit dem Frontend zu verwenden.

Optionen

`-h`

  Eine kurze Hilfe zu `aptitude`

`-s`

  Aktionen simulieren, aber nicht wirklich durchführen

`-d`

  Pakete nur herunterladen, nichts installieren oder entfernen

`-P`

  Zur Bestätigung nachfragen

`-y`

  Annehmen, dass die Antwort zu einfachen Ja/nein-Fragen „ja“ ist

`-F format`

  Format für die Suchergebnisse angeben

`-O order`

  Wie die Suchergebnisse sortiert werden sollen

`-w breite`

  Die Breite für die Formatierung der Suchergebnisse

`-f`

  Aggressiv versuchen, kaputte Pakete trotzdem zu installieren

`-V`

  Anzeigen, welche Version eines Pakets installiert wird

`-D`

  Abhängigkeiten automatisch veränderter Pakete anzeigen

`-Z`

  Größenveränderung der einzelnen Pakete anzeigen

`-t release`

  Release, aus dem Pakete installiert werden sollen

`--with(out)-recommends`,

  Beeinflusst, ob oder ob nicht Empfehlungen (Vorschläge) wie starke Abhängigkeiten gehandhabt werden

`-S fname`

  die erweiterten Aptitude-Statusinformationen aus der Datei `fname` laden

`-u`

  Neue Paketlisten beim Start laden

`-i`

  Installationslauf am Anfang durchführen

Eine sehr nützliche Option von `aptitude` ist die Möglichkeit, zu einem Paket auch die empfohlenen (recommended) Pakete zu installieren. Hierbei werden die beiden Optionen `install` und `--with[out]-recommends` kombiniert.

Beachten Sie, dass dies nur bei noch nicht installierten Paketen funktioniert und nicht bei Paketen, von denen bereits Teile installiert sind.

Hier zunächst ein Beispiel für eine einfache Installation eines Pakets ohne die empfohlenen Pakete:

    wasabi:~# aptitude install --without-recommends minicom
    Reading Package Lists... Done
    Building Dependency Tree
    Reading extended state information
    Initializing package states... Done
    Reading task descriptions... Done
    The following NEW packages will be installed:
      minicom
    0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
    Need to get 280kB of archives. After unpacking 922kB will be used.
    Writing extended state information... Done
    Get:1 ftp://ftp.de.debian.org sarge/main minicom 2.1-7 [280kB]
    86% [1 minicom 241920/280kB 86%]
    ...

Es wird ausschließlich das Paket `minicom` installiert. Dies Verhalten entspricht dem Kommando `apt-get install minicom`.

    wasabi:~# apt-get install minicom
    Reading Package Lists... Done
    Building Dependency Tree... Done
    Recommended packages:
    lrzsz
    The following NEW packages will be installed:
    minicom
    0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
    Need to get 280kB of archives.
    After unpacking 922kB of additional disk space will be used.
    Get:1 ftp://ftp.de.debian.org sarge/main minicom 2.1-7 [280kB]
    88% [1 minicom 247680/280kB 88%]
    ...

Das Paket empfiehlt aber auch das Paket `lrzsz`, das normalerweise durch `aptitude` automatisch mitinstalliert wird.

    wasabi:~# aptitude install minicom
    Reading Package Lists... Done
    Building Dependency Tree
    Reading extended state information
    Initializing package states... Done
    Reading task descriptions... Done
    The following NEW packages will be automatically installed:
      lrzsz
    The following NEW packages will be installed:
      lrzsz minicom
    0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
    Need to get 373kB of archives. After unpacking 1111kB will be used.
    Do you want to continue? [Y/n/?]
    ...

Zurück | Nach oben | Weiter
5.32 `cron-apt` | Zum Anfang | 5.34 gnome-apt

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).